#ifndef FINDER_H
#define FINDER_H


#include "ui_finder.h"
#include <QString>
#include <QStringList>
#include <QDialog>

class Finder : public QDialog
{
        Q_OBJECT

        public:
                Finder(QWidget *p);
                QString Expression() { return expr; };
		void AddToHistory(QString entry, bool found);
		Qt::CaseSensitivity CaseSensSearch(); 
		/* Search options */
		bool ExeSearch() { return ui.checkBoxExes->isChecked(); }
		bool SearchAll() { return ui.radioButtonAll->isChecked(); }
		bool SearchRunning() { return ui.radioButtonRunning->isChecked(); }
		bool SearchNotRunning() { return ui.radioButtonNotRunning->isChecked(); }
		bool SearchRegexp() { return ui.radioButtonRegExp->isChecked(); }
		bool SearchWildcards() { return ui.radioButtonWildcards->isChecked(); }

	protected slots:

		void FinderFind();
		void FinderClose();
		void RemoveComboIcon();
		void ShowSearchAmong(bool);
		void ClearLineEdit();
		void SelectCurrentLineEdit();
        private:
		QPair<QString, bool> pairmatch;
                QString expr;
		QVector<QPair<QString, bool> > pairs;
		QStringList history;
                Ui::DialogFind ui;
		void SaveHistory();
                void LoadHistory();
};


#endif

